Bug 846543 - mapserver-java is incorrectly packaged (missing required native library)
mapserver-java is incorrectly packaged (missing required native library)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mapserver (Show other bugs)
17
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Pavel Lisý
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 01:50 EDT by Michal Piotrowski
Modified: 2013-06-11 23:35 EDT (History)
4 users (show)

See Also:
Fixed In Version: mapserver-6.2.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 526887
Environment:
Last Closed: 2013-06-02 23:03:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Piotrowski 2012-08-08 01:50:15 EDT
Description of problem:
In the package mapserver-java there is a java library mapscript.jar which requires native library libmapscript.so to work but the native library is missing.

Version-Release number of selected component (if applicable):
mapserver-java-6.0.1-5.fc17

How reproducible:
Allways

Actual results:
mapscript.jar is useless without libmapscript.so

Expected results:
mapserver-java package should contain libmapscript.so
Comment 1 Fedora Update System 2013-05-22 12:25:02 EDT
mapserver-6.2.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mapserver-6.2.1-1.fc17
Comment 2 Fedora Update System 2013-06-02 14:41:27 EDT
Package mapserver-6.2.1-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mapserver-6.2.1-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9870/mapserver-6.2.1-1.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-06-02 23:03:13 EDT
mapserver-6.2.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-06-11 05:02:54 EDT
mapserver-6.2.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-06-11 23:35:06 EDT
mapserver-6.2.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.